MozillaZine

Can't Disable Updating (Linux)

User Help for Mozilla Firefox
freddygarvin
 
Posts: 73
Joined: November 13th, 2008, 4:04 am

Post Posted February 23rd, 2018, 3:31 am

Hello - I'm running Ubuntu 16.04, which comes with Firefox 54. I don't like the newest version of Firefox, so I'd like to keep version 54, but somehow the option to disable updating doesn't show in the advanced options tab like it does on my Windows and Mac computers. Is there some way I can accomplish this? Thanks for any help.
Last edited by DanRaisch on February 23rd, 2018, 5:05 am, edited 1 time in total.
Reason: (Linux) added to subject line.

Grumpus

User avatar
 
Posts: 11992
Joined: October 19th, 2007, 4:23 am
Location: ... Da' Swamp

Post Posted February 23rd, 2018, 5:09 am

You can open Synaptic or the system Software Center and change the settings so downloads are not automatic.
Firefox on Linux systems does not have the automatic update, they come from the repositories for the OS.
In most cases automatic is not the default.

James
Moderator

User avatar
 
Posts: 27404
Joined: June 18th, 2003, 3:07 pm
Location: Made in Canada

Post Posted February 24th, 2018, 1:23 am

freddygarvin wrote:but somehow the option to disable updating doesn't show in the advanced options tab like it does on my Windows and Mac computers.

This is because you are using a third-party package build from Ubuntu and not a official build from Mozilla say from http://www.mozilla.org/firefox/all/.

Grumpus wrote:Firefox on Linux systems does not have the automatic update, they come from the repositories for the OS.

They do if you are using the official builds from Mozilla and the Firefox folder has read/write permissions for the user.

milomak
 
Posts: 60
Joined: August 8th, 2008, 4:01 pm

Post Posted February 24th, 2018, 8:00 am

you can pin packages to certain versions. for instance i had the following
Code: Select all
# cat /etc/apt/preferences.d/firefox-esr
Package: firefox-esr
Pin: version 52*
Pin-Priority: 2000

Grumpus

User avatar
 
Posts: 11992
Joined: October 19th, 2007, 4:23 am
Location: ... Da' Swamp

Post Posted February 24th, 2018, 11:37 am

@James - no argument but it seemed a more stable install for those new to Linux.

ElTxolo

User avatar
 
Posts: 2362
Joined: July 30th, 2007, 9:35 am
Location: Localhost

Post Posted February 25th, 2018, 7:29 am

freddygarvin wrote:Hello - I'm running Ubuntu 16.04, which comes with Firefox 54. I don't like the newest version of Firefox, so I'd like to keep version 54 ....

How to Ask Questions The Smart Way - How to Report Bugs Effectively ;)
Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20180711 SeaMonkey/2.49.4
Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20170619 SeaMonkey/2.51

Return to Firefox Support


Who is online

Users browsing this forum: No registered users and 5 guests